
QGIS Application - Bug report #1230

SPIT: 'SET SEARCH_PATH TO NULL' yields an error

2008-08-21 04:27 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11290

Description

QGIS SVN trunk r9094, [[PostgreSQL]] 8.2.7, [[PostGIS]] 1.3.3, QT 4.4.0

Debian testing amd64.

1. add a Shapefile in SPIT

2. connect to a database

3. choose 'Public' schema

4. press OK - the import fails, with an error:

Problem inserting features from file:

/home/shoofi/gis/dane/WDPE/NATpntpol/Poland_NP_poly.shp

<p>Error while executing the SQL:</p><p>SET SEARCH_PATH TO NULL,'public'</p><p>The database said:ERROR:  syntax

error at or near "NULL" 

LINE 1: SET SEARCH_PATH TO NULL,'public'

                           ^

</p>

Associated revisions

Revision 575c97f9 - 2008-08-22 12:26 AM - Jürgen Fischer

fix #1230

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9112 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d7717556 - 2008-08-22 12:26 AM - Jürgen Fischer

fix #1230

git-svn-id: http://svn.osgeo.org/qgis/trunk@9112 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-21 03:28 PM - Jürgen Fischer
http://svn.osgeo.org/qgis/trunk/qgis@9112
http://svn.osgeo.org/qgis/trunk@9112


- Resolution set to fixed

- Status changed from Open to Closed

not reproducable here, but commit:d7717556 (SVN r9113) should still fix it.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
